Subject: [NGC4LIB] A couple of interesting articles

From: Weinheimer Jim <[email-masked]>
Date: Wed, 24 Feb 2010 14:41:24 +0100

I would like to point people to a couple of articles that I think are particularly interesting:
How Google's Algorithm Rules the Web / By Steven Levy, February 22, 2010, Wired March 2010
http://www.wired.com/magazine/2010/02/ff_google_algorithm/
This article discusses in some depth how Google's algorithm has changed throughout the years and how it may continue to change.

It is especially interesting to read this article alongside another that documents complaints that Google is demoting their competitors' sites on its search rankings.
EU weighs Google rivals' complaints / By Robert Wielard. The Associated Press February 24, 2010, 6:43AM ET, through BusinessWeek
http://www.businessweek.com/ap/financialnews/D9E2H1QO0.htm

I have discovered in my Information Literacy workshops that people really and truly "like" and "trust" Google, but no one can tell me precisely what they "trust" Google to do. I tell them that Google is a normal company operating in an area with very few "rules," i.e. the Internet. Libraries and librarians, on the contrary, operate very firmly within the realm of ethics, and this is one of the basic differences between libraries and search engines.

James Weinheimer  [email-masked]<mailto:[email-masked]>
Director of Library and Information Services
The American University of Rome
via Pietro Roselli, 4
00153 Rome, Italy
voice- 011 39 06 58330919 ext. 258
fax-011 39 06 58330992